> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supermetrics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transfer configuration

> Returns configuration for an existing Hub transfer.

**Returns:** Full transfer configuration details.

**Important Notes:**
- Requires scope `dwh_transfers_read`
- Your account must have `dwh.transfer.view` permission. See [roles and permissions](https://docs.supermetrics.com/docs/about-supermetrics-teams-and-user-roles#user-roles).


## OpenAPI

````json GET /teams/{team_id}/transfers/{transfer_id}
{
  "openapi": "3.0.3",
  "info": {
    "title": "Management API Reference",
    "version": "2.0.0",
    "description": "API Documentation for the Supermetrics Management API. For more information, visit https://supermetrics.com.",
    "termsOfService": "https://supermetrics.com/terms-of-service",
    "contact": {
      "name": "Supermetrics Suppot",
      "email": "support@supermetrics.com",
      "url": "https://supermetrics.com/support"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "x-api-id": "sm-management-api",
    "x-audience": "public"
  },
  "servers": [
    {
      "url": "https://api.supermetrics.com/v2",
      "description": "Global production public Supermetrics Management API base path.",
      "x-internal": "false"
    }
  ],
  "tags": [
    {
      "name": "API Keys",
      "description": "Manage API keys to access Supermetrics API"
    },
    {
      "name": "Data Source Logins",
      "description": "Access your data source authentications"
    },
    {
      "name": "Data Source Login Links",
      "description": "Create single-use data source login links"
    },
    {
      "name": "Saved Queries",
      "description": "Manage queries saved in Query Manager"
    },
    {
      "name": "Table Groups",
      "description": "Manage your team's table groups"
    },
    {
      "name": "Team Lists",
      "description": "Manage centralized team lists for your queries"
    },
    {
      "name": "Team Settings",
      "description": "Configure general settings for your team"
    },
    {
      "name": "Data Transfers",
      "description": "Create, configure, and manage Data Warehouse transfers"
    },
    {
      "name": "Transfer Runs",
      "description": "Monitor execution history of Data Warehouse transfers"
    },
    {
      "name": "Data Backfills",
      "description": "Manage historical data backfills for your Data Warehouse transfers"
    },
    {
      "name": "Data Destinations",
      "description": "Create, configure, and manage Data Warehouse destinations"
    },
    {
      "name": "Data Source Connections",
      "description": "Create and manage data source connections for Data Warehouse transfers"
    },
    {
      "name": "Data Blending",
      "description": "Create and manage Data Blending"
    },
    {
      "name": "Custom Fields",
      "description": "Create and manage Custom Fields"
    }
  ],
  "externalDocs": {
    "description": "Find out more about Supermetrics Management API",
    "url": "https://docs.supermetrics.com/apidocs/management-api"
  },
  "paths": {
    "/teams/{team_id}/transfers/{transfer_id}": {
      "servers": [
        {
          "url": "https://dts-api.supermetrics.com/v1",
          "description": "Data Transfers API"
        }
      ],
      "get": {
        "summary": "Get transfer configuration",
        "description": "Returns configuration for an existing Hub transfer.\n\n**Returns:** Full transfer configuration details.\n\n**Important Notes:**\n- Requires scope `dwh_transfers_read`\n- Your account must have `dwh.transfer.view` permission. See [roles and permissions](https://docs.supermetrics.com/docs/about-supermetrics-teams-and-user-roles#user-roles).\n",
        "operationId": "getTransfer",
        "tags": [
          "Data Transfers"
        ],
        "security": [
          {
            "BearerAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/DwhTeamIdPathParam"
          },
          {
            "$ref": "#/components/parameters/DwhTransferIdPathParam"
          }
        ],
        "responses": {
          "200": {
            "description": "Transfer configuration retrieved successfully",
            "headers": {
              "Access-Control-Allow-Origin": {
                "$ref": "#/components/headers/Access-Control-Allow-Origin"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TransferConfigurationResponse"
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/DwhUnauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/DwhTransferNotFound"
          },
          "429": {
            "$ref": "#/components/responses/DwhTooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/DwhInternalServerError"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "DwhTeamIdPathParam": {
        "name": "team_id",
        "in": "path",
        "required": "true",
        "description": "Unique identifier of the team",
        "example": "12345",
        "schema": {
          "type": "integer",
          "format": "int64",
          "minimum": "1",
          "maximum": "9223372036854776000"
        }
      },
      "DwhTransferIdPathParam": {
        "name": "transfer_id",
        "in": "path",
        "required": "true",
        "description": "Unique identifier of the transfer",
        "example": "456789",
        "schema": {
          "type": "integer",
          "format": "int64",
          "minimum": "1",
          "maximum": "9223372036854776000"
        }
      }
    },
    "headers": {
      "Access-Control-Allow-Origin": {
        "description": "CORS header",
        "schema": {
          "type": "string",
          "maxLength": "255",
          "enum": [
            "*"
          ],
          "example": "*"
        }
      }
    },
    "schemas": {
      "TransferConfigurationResponse": {
        "type": "object",
        "description": "Full transfer configuration",
        "properties": {
          "transfer_id": {
            "type": "integer",
            "format": "int32",
            "description": "The transfer ID",
            "example": "36091"
          },
          "display_name": {
            "type": "string",
            "description": "Display name of the transfer",
            "example": "AW enhanced 2022-11-17"
          },
          "schema_id": {
            "type": "integer",
            "format": "int32",
            "description": "Schema identifier",
            "example": "2"
          },
          "destination_id": {
            "type": "integer",
            "format": "int32",
            "nullable": "true",
            "description": "Destination identifier",
            "example": "8"
          },
          "accounts": {
            "type": "array",
            "description": "Data source accounts included in transfer",
            "items": {
              "$ref": "#/components/schemas/TransferAccount"
            }
          },
          "segments": {
            "type": "array",
            "description": "Data segments included in transfer",
            "items": {
              "$ref": "#/components/schemas/TransferSegment"
            }
          },
          "license": {
            "type": "object",
            "description": "License information",
            "properties": {
              "id": {
                "type": "integer",
                "description": "License ID"
              },
              "product_title": {
                "type": "string",
                "description": "Product title"
              },
              "license_title": {
                "type": "string",
                "description": "License title"
              },
              "is_expired": {
                "type": "boolean",
                "description": "Whether license is expired"
              },
              "is_trial": {
                "type": "boolean",
                "description": "Whether license is trial"
              },
              "end_date": {
                "type": "string",
                "format": "date-time",
                "description": "License end date"
              },
              "features": {
                "type": "object",
                "description": "License features",
                "additionalProperties": {
                  "type": "string"
                }
              }
            }
          },
          "schedule": {
            "type": "array",
            "description": "Transfer schedule configuration",
            "items": {
              "$ref": "#/components/schemas/TransferSchedule"
            }
          },
          "data_source": {
            "type": "object",
            "description": "Data source information and settings",
            "properties": {
              "data_source_id": {
                "type": "string",
                "description": "Data source identifier"
              },
              "service_name": {
                "type": "string",
                "description": "Service name"
              },
              "service_provider": {
                "type": "string",
                "description": "Service provider"
              },
              "settings": {
                "type": "array",
                "description": "Data source settings",
                "items": {
                  "$ref": "#/components/schemas/TransferDataSourceSetting"
                }
              }
            }
          },
          "notification_recipients": {
            "type": "array",
            "nullable": "true",
            "description": "Email recipients for transfer notifications",
            "items": {
              "type": "object",
              "properties": {
                "email": {
                  "type": "string",
                  "format": "email"
                }
              }
            }
          },
          "external_url": {
            "type": "string",
            "nullable": "true",
            "description": "External URL for DTS BigQuery transfers"
          }
        }
      },
      "TransferAccount": {
        "type": "object",
        "properties": {
          "data_source_username": {
            "type": "string",
            "maxLength": "255",
            "description": "Username for data source authentication"
          },
          "login_id": {
            "type": "integer",
            "format": "int32",
            "description": "Login identifier"
          },
          "account_id": {
            "type": "string",
            "maxLength": "100",
            "description": "Account identifier in the data source"
          }
        },
        "example": {
          "data_source_username": "user.name@supermetrics.com",
          "login_id": "2682599",
          "account_id": "8733197711"
        }
      },
      "TransferSegment": {
        "type": "object",
        "properties": {
          "data_source_username": {
            "type": "string",
            "maxLength": "255",
            "description": "Username for data source authentication"
          },
          "login_id": {
            "type": "integer",
            "format": "int32",
            "description": "Login identifier"
          },
          "segment_id": {
            "type": "string",
            "maxLength": "100",
            "description": "Segment identifier"
          },
          "segment_name": {
            "type": "string",
            "maxLength": "255",
            "description": "Human-readable segment name"
          }
        },
        "example": {
          "data_source_username": "user.name@supermetrics.com",
          "login_id": "2830506",
          "segment_id": "-1",
          "segment_name": "All users"
        }
      },
      "TransferSchedule": {
        "type": "object",
        "properties": {
          "run_interval": {
            "type": "string",
            "enum": [
              "hourly",
              "daily",
              "weekly",
              "monthly"
            ],
            "description": "Frequency of transfer execution"
          },
          "run_hour": {
            "type": "integer",
            "format": "int32",
            "minimum": "0",
            "maximum": "23",
            "description": "Hour of day to run (UTC)"
          },
          "refresh_window": {
            "type": "integer",
            "format": "int32",
            "minimum": "1",
            "description": "Number of days to refresh"
          },
          "run_weekday": {
            "type": "integer",
            "format": "int32",
            "minimum": "1",
            "maximum": "7",
            "description": "Day of week to run (1=Monday, 7=Sunday). Required for weekly interval."
          },
          "run_day": {
            "type": "integer",
            "format": "int32",
            "minimum": "1",
            "maximum": "31",
            "description": "Day of month to run. Required for monthly interval."
          }
        },
        "example": {
          "run_interval": "daily",
          "run_hour": "22",
          "refresh_window": "1"
        }
      },
      "TransferDataSourceSetting": {
        "type": "object",
        "properties": {
          "field_id": {
            "type": "string",
            "maxLength": "100",
            "description": "Setting field identifier"
          },
          "value": {
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "boolean"
              },
              {
                "type": "integer"
              }
            ],
            "description": "Setting value (type varies by field)"
          },
          "group": {
            "type": "string",
            "maxLength": "100",
            "description": "Setting group identifier"
          }
        },
        "example": {
          "field_id": "BRAND_KEYWORDS",
          "value": "",
          "group": "Default"
        }
      },
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "meta": {
            "$ref": "#/components/schemas/ResponseMeta"
          },
          "error": {
            "$ref": "#/components/schemas/Error"
          }
        }
      },
      "ResponseMeta": {
        "type": "object",
        "properties": {
          "request_id": {
            "type": "string",
            "maxLength": "50",
            "pattern": "^[A-Za-z0-9_-]+$",
            "description": "API request ID"
          }
        }
      },
      "Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "maxLength": "100",
            "description": "Error code"
          },
          "message": {
            "type": "string",
            "maxLength": "255",
            "description": "Error message"
          },
          "description": {
            "type": "string",
            "maxLength": "255",
            "description": "Error description"
          }
        }
      }
    },
    "responses": {
      "DwhUnauthorized": {
        "description": "Unauthorized - Authentication is required and has failed or has not been provided.",
        "headers": {
          "Access-Control-Allow-Origin": {
            "$ref": "#/components/headers/Access-Control-Allow-Origin"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "example": {
              "meta": {
                "request_id": "019461A0-0000-7000-8000-000000000000"
              },
              "error": {
                "code": "API_KEY_INVALID",
                "message": "Invalid API key",
                "description": "Provided API key was invalid."
              }
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden - The request is understood, but access is not allowed",
        "headers": {
          "Access-Control-Allow-Origin": {
            "$ref": "#/components/headers/Access-Control-Allow-Origin"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "example": {
              "meta": {
                "request_id": "01892A4D-7586-7000-8000-000000000000"
              },
              "error": {
                "code": "ACCESS_DENIED",
                "message": "Access Denied",
                "description": "You do not have permission to perform this operation."
              }
            }
          }
        }
      },
      "DwhTransferNotFound": {
        "description": "Transfer not found",
        "headers": {
          "Access-Control-Allow-Origin": {
            "$ref": "#/components/headers/Access-Control-Allow-Origin"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "example": {
              "meta": {
                "request_id": "01892A4D-7586-7000-8000-000000000000"
              },
              "error": {
                "code": "NOT_FOUND",
                "message": "Not Found",
                "description": "The requested transfer could not be found or you do not have access to it."
              }
            }
          }
        }
      },
      "DwhTooManyRequests": {
        "description": "Too Many Requests - Rate limit exceeded.",
        "headers": {
          "Retry-After": {
            "schema": {
              "type": "integer",
              "format": "int32",
              "minimum": "1",
              "maximum": "3600"
            },
            "description": "Number of seconds to wait before making another request"
          },
          "Access-Control-Allow-Origin": {
            "$ref": "#/components/headers/Access-Control-Allow-Origin"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "example": {
              "meta": {
                "request_id": "019461A0-0000-7000-8000-000000000000"
              },
              "error": {
                "code": "API_ROW_QUOTA_EXCEEDED",
                "message": "Row quota exceeded",
                "description": "You have exceeded your row-quota limit of rows for this month. Please log into Supermetrics Hub at https://hub.supermetrics.com/ and upgrade your plan, or contact our Supermetrics support team."
              }
            }
          }
        }
      },
      "DwhInternalServerError": {
        "description": "Internal Server Error - An error occurred on the server.",
        "headers": {
          "Access-Control-Allow-Origin": {
            "$ref": "#/components/headers/Access-Control-Allow-Origin"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "example": {
              "meta": {
                "request_id": "01892A4D-7586-7000-8000-000000000000"
              },
              "error": {
                "code": "INTERNAL_SERVER_ERROR",
                "message": "Internal Server Error",
                "description": "An unexpected error occurred. Please try again later or contact support."
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token authentication. Include the token in the Authorization header:\n`Authorization: Bearer <your-token>`\n"
      }
    }
  }
}
````

